Release Notes for XWiki Enterprise 1.1.2

This is a bug fix release following the release of XWiki Core 1.1.2. This release also introduce experimental new rights management system.

Invalid macro parameters used for the [toc] macro. Cause: [Failed to validate bean: [must be greater than or equal to 1]]. Click on this message for details.

Changes from 1.1.1

New features:
  • Improve rights management (experimental and not active by default).
  • Make Document.saveDocument() protected and add a protected Document.deleteDocument().
  • Make XWikiMessageTool.bundle and XWikiMessageTool.context protected.
  • Allow to choose the "separator" in a new StaticList object directly from BaseClass.
  • Allow to choose "multiselect" value in a new UserField object directly from BaseClass.
  • Add new XWikiStoreInterface.searchDocuments() and XWikiStoreInterface.search() API that accepts named HQL queries.
  • Add getWiki and getPrefixedFullName in com.xpn.xwiki.api.Document.
  • Make XWiki products go to the main page by default when entering the http://:/xwiki URL.
  • Improve panel printing in page.
  • Add a macro to display a list of panels in columns.

    The following bugs were fixed:

  • Impossible to translate page in 1.1.1.
  • Document copy with reset creation data does not reset update date neither content update date.
  • Import document containing no "version" element will corrupt the document.
  • Error while importing a XAR containing XWiki.XWikiServerClass object(s) in a non-virtual wiki.
  • Hibernate session invalid in background threads.
  • getServerURL(db, context) not including port number when returning the URL (virtual or main wiki).
  • XWiki.deleteDocument use wrong notify parameters.

Known issues

Upgrading from any version

Upgrading from 1.1 Milestone 4 or later doesn't require any special steps, as there weren't any changes in the core structure.

If you've been using XWiki prior to version 1.1 Milestone 4, then you may have noticed that the document version and the history do not match (there's an offset of one in the printed versions, the history being one version smaller). We have fixed this and we are providing a patch for you to run on your wiki installation. To run the patch install the RCS Fix XAR file using the Importer Tool and then go to the XWiki.FixRCS page and follow the instructions.

You only need to run this patch if you're upgrading from a version prior to 1.1 Milestone 4 and if you want the versions displayed in the history to be in sync with the document's version displayed when you view the documents

Follow the instructions below for upgrading from your specific version.

Upgrading from 1.0 or from earlier 1.1 Milestones or Release Candidates

There have been no changes to the database structure so you can simply install this version and configure it to point to your existing database. However you may want to import the default wiki XAR in order to benefit from improvements listed above. You'll find above the list of pages that have been modified so you can restrict your import to those pages if you're already using a XWiki 1.0 XAR.

Upgrading from versions earlier than 1.0

Check the release notes for 1.0.
Tags:
   

Get Connected